<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?

class ComparecimentoPrograma extends Doctrine_Record
{
	function setTableDefinition()
	{
		$this->setTableName('saude.comparecimento_programa');
		$this->hasColumn('idinscricao_programa','integer', NULL, array('primary'));
		$this->hasColumn('idcomparecimento','integer', NULL, array('primary'));
	}

	function setUp()
	{
		$this->hasOne('InscricaoPrograma as inscricao',
			array('local'=>'idinscricao_programa',
			      'foreign'=>'id'));
		
		$this->hasOne('Comparecimento as comparecimento',
			array('local'=>'idcomparecimento',
			      'foreign'=>'id'));
	}
};

?>
